## org.hibernate.ejb.metamodel
Class EntityTypeImpl<X>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractType<X>
          org.hibernate.ejb.metamodel.AbstractManagedType<X>
              org.hibernate.ejb.metamodel.AbstractIdentifiableType<X>
                  org.hibernate.ejb.metamodel.EntityTypeImpl<X>

All Implemented Interfaces:
  Serializable, Bindable<X>, EntityType<X>, IdentifiableType<X>, ManagedType<X>, Type<X>

    public class EntityTypeImpl<X>

extends AbstractIdentifiableType<X>
implements EntityType<X>, Serializable

Defines the Hibernate implementation of the JPA `EntityType` contract.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.metamodel.AbstractIdentifiableType
`AbstractIdentifiableType.Builder<X>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`Type.PersistenceType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Constructor Summary
`EntityTypeImpl(Class<X> javaType, AbstractIdentifiableType<? super X> superType, String jpaEntityName, boolean hasIdentifierProperty, boolean isVersioned)`

Method Summary
`Class<X>` `getBindableJavaType()`
`Bindable.BindableType` `getBindableType()`
`String` `getName()`
`Type.PersistenceType` `getPersistenceType()`
`protected boolean` `requiresSupertypeForNonDeclaredIdentifier()` Indicates if a non-null super type is required to provide the identifier attribute(s) if this object does not have a declared identifier.

Methods inherited from class org.hibernate.ejb.metamodel.AbstractIdentifiableType
`checkDeclaredId, checkDeclaredVersion, checkSimpleId, getBuilder, getDeclaredId, getDeclaredVersion, getDeclaredVersion, getId, getIdClassAttributes, getIdType, getSupertype, getVersion, hasDeclaredVersionAttribute, hasSingleIdAttribute, hasVersionAttribute, requireSupertype`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractManagedType

`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes, isPrimitiveVariant, lock`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractType
`getJavaType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.IdentifiableType
`getDeclaredId, getDeclaredVersion, getId, getIdClassAttributes, getIdType, getSupertype, getVersion, hasSingleIdAttribute, hasVersionAttribute`

Methods inherited from interface javax.persistence.metamodel.ManagedType

`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes`

Methods inherited from interface javax.persistence.metamodel.Type
`getJavaType`

Constructor Detail

### EntityTypeImpl

    public EntityTypeImpl(Class<X> javaType,
                          AbstractIdentifiableType<? super X> superType,
                          String jpaEntityName,
                          boolean hasIdentifierProperty,
                          boolean isVersioned)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `EntityType<X>`

### getBindableType

    public Bindable.BindableType getBindableType()

  Specified by:
    `getBindableType` in interface `Bindable<X>`

### getBindableJavaType

    public Class<X> getBindableJavaType()

  Specified by:
    `getBindableJavaType` in interface `Bindable<X>`

### getPersistenceType

    public Type.PersistenceType getPersistenceType()

  Specified by:
    `getPersistenceType` in interface `Type<X>`

### requiresSupertypeForNonDeclaredIdentifier

    protected boolean requiresSupertypeForNonDeclaredIdentifier()

  Description copied from class: `AbstractIdentifiableType`
  Indicates if a non-null super type is required to provide the identifier attribute(s) if this object does not have a declared identifier. .

  Specified by:
    `requiresSupertypeForNonDeclaredIdentifier` in class `AbstractIdentifiableType<X>`
  Returns:
    true, if a non-null super type is required to provide the identifier attribute(s) if this object does not have a declared identifier; false, otherwise.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.